<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-4bw+/aepP/YC94hEpVNVgiZdgIC5+VKNBQNGCHeKRQN+PtmoHDEXuppvnDJzQIu9" crossorigin="anonymous">
    <link rel="stylesheet" href="./css/nextUpload.css">
    <title>UserPost</title>
</head>
<body>

    <!-- nav start -->
    <nav class="navbar navbar-expand-md navbar-light border-bottom p-0 ps-5">
        <div class="container">
            <a class="navbar-brand" href="#">
                <span class="text-coperate-color fw-bold fs-3">Gcit-Quora</span>
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ">
                    <li class="nav-item border-main-color">
                        <a class="nav-link" href="#">
                            <svg class="text-coperate-color" xmlns="http://www.w3.org/2000/svg"  viewBox="0 0 24 24" fill="currentColor"><path d="M0 0h24v24H0z" fill="none"/><path d="M10 20v-6h4v6h5v-8h3L12 3 2 12h3v8z"/></svg>                       
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="resources.html">
                            <svg class="text-muted" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" viewBox="0 0 24 24" fill="currentColor"><g><path d="M0,0h24v24H0V0z" fill="none"/></g><g><path d="M16,3H5C3.9,3,3,3.9,3,5v14c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V8L16,3z M19,19H5V5h10v4h4V19z M7,17h10v-2H7V17z M12,7H7 v2h5V7z M7,13h10v-2H7V13z"/></g></svg>
                            <span class="position-relative me-auto">
                                <!-- <span class="position-absolute top-0 start-100 translate-middle p-1 bg-danger border border-light rounded-circle"> -->
                                    <span class="visually-hidden">Resources</span>
                                <!-- </span> -->
                            </span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="question.html">
                            <svg class="text-muted" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24"  viewBox="0 0 24 24" fill="currentColor"><rect fill="none" height="24" width="24"/><path d="M3,10h11v2H3V10z M3,8h11V6H3V8z M3,16h7v-2H3V16z M18.01,12.87l0.71-0.71c0.39-0.39,1.02-0.39,1.41,0l0.71,0.71 c0.39,0.39,0.39,1.02,0,1.41l-0.71,0.71L18.01,12.87z M17.3,13.58l-5.3,5.3V21h2.12l5.3-5.3L17.3,13.58z"/></svg>
                            <span class="position-relative">
                                <!-- <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger"> -->
                                    
                                    <span class="visually-hidden">Post</span>
                                <!-- </span> -->
                            </span>
                        </a>
                    </li>

                    
                </ul>

                <form class="d-flex">
                    <input class="form-control me-2 search-icon" type="search" placeholder="Search Quoraa" aria-label="Search">
                </form>

               

                <ul class="navbar-nav px-3 ">
                    <li class="nav-item">
                        <a class="nav-link" href="myprofile.html">
                            <img class="profile rounded-circle " src="img/profileimg.png">
                        </a>
                    </li>


            

                </ul>

                  <div class="btn-group">
                    <a  data-bs-toggle="modal" data-bs-target="#myModal" id="button1" type="button" class="btn btn-sm bg-coperate-color rounded-pill fw-bold text-light">Add question</a>
                
                  </div>
                  

            </div>
            
        </div>
    </nav>
    <!--  nav end -->



       <!-- start of top ask,post, sectioin -->

       <div class="bg-light pt-4">
        <div class="container mb-5">
            <div class="row">
                <div class="col-7">
                    <div class="bg-white border-gray">
                        <div class="row">
                            <div class="col">
                                <img class="profile rounded-circle " src="img/profileimg.png">
                                <input class="w-75 border-gray text-gray-dark rounded-pill bg-light ps-2 text-start"  placeholder="What do you want to ask or share?">
                            </div>

                        </div>
                        <div class="row text-gray-darker pb-2 ps-4 pe-4">
                            <div class="col text-center border-end hover-dark">
                                <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px" fill="currentColor"><path d="M0 0h24v24H0V0z" fill="none"/><path d="M19 2H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h4l3 3 3-3h4c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm0 16h-4.83l-.59.59L12 20.17l-1.59-1.59-.58-.58H5V4h14v14zm-8-3h2v2h-2zm1-8c1.1 0 2 .9 2 2 0 2-3 1.75-3 5h2c0-2.25 3-2.5 3-5 0-2.21-1.79-4-4-4S8 6.79 8 9h2c0-1.1.9-2 2-2z"/></svg>
                                        <!-- Button to Open the Modal -->
                                        <a  data-bs-toggle="modal" data-bs-target="#myModal">
                                            Askk
                                        </a>             
                            </div>
                            <div class="col text-center border-end hover-dark">
                                <svg xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" height="24px" viewBox="0 0 24 24" width="24px" fill="currentColor"><rect fill="none" height="24" width="24"/><path d="M3,10h11v2H3V10z M3,8h11V6H3V8z M3,16h7v-2H3V16z M18.01,12.87l0.71-0.71c0.39-0.39,1.02-0.39,1.41,0l0.71,0.71 c0.39,0.39,0.39,1.02,0,1.41l-0.71,0.71L18.01,12.87z M17.3,13.58l-5.3,5.3V21h2.12l5.3-5.3L17.3,13.58z"/></svg>
                                <a href="question.html" style="text-decoration: none;color: black;" ><span>Answer</span></a>
                            </div>
                            <div class="col text-center hover-dark">
                                <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px" fill="currentColor"><path d="M0 0h24v24H0V0z" fill="none"/><path d="M14.06 9.02l.92.92L5.92 19H5v-.92l9.06-9.06M17.66 3c-.25 0-.51.1-.7.29l-1.83 1.83 3.75 3.75 1.83-1.83c.39-.39.39-1.02 0-1.41l-2.34-2.34c-.2-.2-.45-.29-.71-.29zm-3.6 3.19L3 17.25V21h3.75L17.81 9.94l-3.75-3.75z"/></svg>
                                  <!-- Button to Open the Modal -->
                                  <a  data-bs-toggle="modal" data-bs-target="#myModal1">
                                    Post
                                </a>                                
                            </div>
                        </div>
                    </div>
    <!-- end of top ask,post, sectioin -->
       









    
    <div class="card">
        <main class="main">
            <!-- Use an appropriate placeholder image or customize it -->
            <img src="img/placeholder.png" class="bimg" height="465px" width="350px" style="border-radius: 20px; margin-left: -20px; margin-top: -20px;">
            <form class="form" action="/api/v1/userpost/userpost" method="POST" enctype="multipart/form-data">
                <div class="form__group">
                    <label for="title" class="form__label" style="color: rgb(233, 225, 225);">Title</label>
                    <br>
                    <input type="text" class="form__input" id="title" name="title" required/>
                </div>
                <br>
                <br>
                <div class="form__group ma-bt-md">
                    <label for="description" class="form__label" style="color: rgb(224, 217, 217);">Description</label>
                    <br>
                    <input type="text" class="form__input" id="description" name="description" required>
                </div>
                <br>
                <div class="form__group ma-bt-md">
                    <label for="Photo" class="form__label" style="color: rgb(224, 217, 217);">Photo</label>
                    <br>
                    <br>
                    <input type="file" id="image" name="image" required >
                </div>
                <br>
                <br>
                <div class="form__group">
                    <button class="btn" style="color: rgb(12, 1, 1); background-color: white; width: 100%;" type="submit">Upload</button>
                </div>
            </form>
        </main>
    </div>
        
   






      <!-- The Modal -->
<div class="modal" tabindex="-1" id="myModal1">
    <form class="form"> <!-- Add a form element with an ID -->
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Create a Post</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <input  type="text" class="form-control" id="question" style="height: 200px;" placeholder="Start your question with 'What,' 'How,' 'Why,' etc." >
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button class="btn btn-primary" data-bs-dismiss="modal">Add question</button>
                </div>
            </div>
        </div>
    </form>
</div>
<!-- end of model to open in ask button -->
    





  <!-- Post a form -->
  <script>
    document.querySelector('.form').addEventListener('submit', function(event) {
        event.preventDefault(); // Prevent the default form submission

        const title = document.querySelector('input[name="title"]').value;
        const description = document.querySelector('input[name="description"]').value;
        const image = document.querySelector('input[name="image"]').files[0];

        const formData = new FormData();
        formData.append('title', title);
        formData.append('description', description);
        formData.append('image', image);

        fetch('/api/v1/userpost/userpost', {
            method: 'POST',
            body: formData
        })
            .then(response => {
                if (response.ok) {
                    console.log('User post added successfully!');
                    // You can redirect or perform any other action here
                } else {
                    console.error('Server returned an error. Status:', response.status);
                    // Additional error handling here
                }
            })
            .catch(error => {
                console.error('Network error:', error);
                // Additional error handling for network issues
            });
    });
</script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.5.1/axios.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <!-- <script type="module" src="./js/uploadNext.js"></script> -->
</body>
</html>


